Subject: Re: bug#21100: 25.0.50; quit-restore-window should also retore width, not just height

From: Artur Malabarba <[email-masked]>
Date: Tue, 21 Jul 2015 22:33:38 +0100

> The re-resizing should occur in `quit-restore-window' on this line:
>
>             (window-resize window (- (nth 3 quad) (window-total-height
> window)))
>
> Please check.

Yes, it does.

> So what you probably want is a new option `even-window-widths' (or maybe
> `even-window-sizes') which, if non-nil, does for side-by-side splits the
> same thing `even-window-heights' does for a below split.

I have nothing against a new option, but that's not what I'm asking
for. I'm fine with the current behavior (which is to even the width).

> And, obviously, `quit-restore-window' should be able to size it back

Yes, this is what I would like.